Update single order - Fabric

Update single order

cURL

curl --request PATCH \
  --url https://prod01.copilot.fabric.inc/data-subscription/v1/orders/{orderId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "order": {
    "scheduledDate": "2019-01-01T00:00:00.000Z",
    "status": "SCHEDULED",
    "lineItems": [
      {
        "Item": {
          "quantity": 1,
          "weight": 10,
          "weightUnit": "lb"
        },
        "customAttributes": {
          "storeId": "60cb07fc20387b000821c5c3",
          "associateId": 1,
          "trackingUrl": "609436d21baded0008945b05"
        }
      }
    ]
  }
}
'

Python

import requests

url = "https://prod01.copilot.fabric.inc/data-subscription/v1/orders/{orderId}"

payload = { "order": {
        "scheduledDate": "2019-01-01T00:00:00.000Z",
        "status": "SCHEDULED",
        "lineItems": [
            {
                "Item": {
                    "quantity": 1,
                    "weight": 10,
                    "weightUnit": "lb"
                },
                "customAttributes": {
                    "storeId": "60cb07fc20387b000821c5c3",
                    "associateId": 1,
                    "trackingUrl": "609436d21baded0008945b05"
                }
            }
        ]
    } }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    order: {
      scheduledDate: '2019-01-01T00:00:00.000Z',
      status: 'SCHEDULED',
      lineItems: [
        {
          Item: {quantity: 1, weight: 10, weightUnit: 'lb'},
          customAttributes: {
            storeId: '60cb07fc20387b000821c5c3',
            associateId: 1,
            trackingUrl: '609436d21baded0008945b05'
          }
        }
      ]
    }
  })
};

fetch('https://prod01.copilot.fabric.inc/data-subscription/v1/orders/{orderId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://prod01.copilot.fabric.inc/data-subscription/v1/orders/{orderId}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "PATCH",
  CURLOPT_POSTFIELDS => json_encode([
    'order' => [
        'scheduledDate' => '2019-01-01T00:00:00.000Z',
        'status' => 'SCHEDULED',
        'lineItems' => [
                [
                                'Item' => [
                                                                'quantity' => 1,
                                                                'weight' => 10,
                                                                'weightUnit' => 'lb'
                                ],
                                'customAttributes' => [
                                                                'storeId' => '60cb07fc20387b000821c5c3',
                                                                'associateId' => 1,
                                                                'trackingUrl' => '609436d21baded0008945b05'
                                ]
                ]
        ]
    ]
  ]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "Content-Type: application/json"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}

Go

package main

import (
    "fmt"
    "strings"
    "net/http"
    "io"
)

func main() {

url := "https://prod01.copilot.fabric.inc/data-subscription/v1/orders/{orderId}"

payload := strings.NewReader("{\n  \"order\": {\n    \"scheduledDate\": \"2019-01-01T00:00:00.000Z\",\n    \"status\": \"SCHEDULED\",\n    \"lineItems\": [\n      {\n        \"Item\": {\n          \"quantity\": 1,\n          \"weight\": 10,\n          \"weightUnit\": \"lb\"\n        },\n        \"customAttributes\": {\n          \"storeId\": \"60cb07fc20387b000821c5c3\",\n          \"associateId\": 1,\n          \"trackingUrl\": \"609436d21baded0008945b05\"\n        }\n      }\n    ]\n  }\n}")

req, _ := http.NewRequest("PATCH", url, payload)

req.Header.Add("Authorization", "Bearer <token>")
    req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}

Response Examples

Response 200

{
  "responseStatus": "OK",
  "message": "Request processed successfully",
  "data": {
    "order": {
      "status": "SCHEDULED",
      "totalAmount": 100,
      "currencyCode": "USD",
      "scheduledDate": "2019-01-01T00:00:00.000Z",
      "customer": {
        "customerReferenceId": "12345",
        "locale": "en_US",
        "email": "customer@example.com",
        "firstName": "Pat",
        "lastName": "Kake",
        "contactnumber": "5555551234",
        "middleName": "E",
        "segments": [
          "employee"
        ],
        "employeeId": "345",
        "status": "ACTIVE",
        "isDeleted": false,
        "DeletedAt": "2021-01-01T00:00:00.000Z",
        "createdAt": "2019-10-12T21:35:05.756Z",
        "updatedAt": "2021-10-14T05:40:55.997Z",
        "communicationPreference": {
          "email": true,
          "sms": true
        }
      }
    }
  }
}

Other Response Statuses